Bug 103901 - gtkhtml3 missing some buildrequires.
gtkhtml3 missing some buildrequires.
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gtkhtml3 (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-06 16:43 EDT by Dams
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-04 19:14:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2003-09-06 16:43:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
[didnt found gtkhtml3 rawhide component..]

[anvil@gruyere ~]# rpmbuild --rebuild fedora/gtkhtml3-3.0.8-3.src.rpm
Installation de fedora/gtkhtml3-3.0.8-3.src.rpm
[snip]
checking EDITOR_LIBS... -pthread -Wl,--export-dynamic -L/usr/X11R6/lib
-lgnomeui-2 -lSM -lICE -lgnomeprintui-2-2 -lgal-2.0 -lglade-2.0 -lgnomeprint-2-2
-lbonoboui-2 -lxml2 -lz -lgnomecanvas-2 -lgnome-2 -lart_lgpl_2 -lpangoft2-1.0
-lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangoxft-1.0
-lpangox-1.0 -lpango-1.0 -lbonobo-2 -lgconf-2 -lgnomevfs-2 -lbonobo-activation
-lORBit-2 -lm -llinc -lgmodule-2.0 -ldl -lgobject-2.0 -lgthread-2.0 -lglib-2.0
checking for soup-2.0 >= 0.7.9... Package soup-2.0 was not found in the
pkg-config search path.
Perhaps you should add the directory containing `soup-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'soup-2.0' found
configure: creating ./config.status
[snip]
/usr/bin/libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../src
-DORBIT2=1 -pthread -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnome-2.0
-I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0
-I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/orbit-2.0
-I/usr/include/libbonobo-2.0 -I/usr/include/gnome-vfs-2.0
-I/usr/lib/gnome-vfs-2.0/include -I/usr/include/linc-1.0
-I/usr/include/bonobo-activation-2.0 -I/usr/include/pango-1.0
-I/usr/include/freetype2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0
-I/usr/X11R6/include -I/usr/include/libxml2 -I/usr/include/libgnomeprint-2.2
-I/usr/include/libgnomeprintui-2.2 -I/usr/include/libglade-2.0
-I/usr/include/gal-2.0      -O3 -fomit-frame-pointer -pipe -march=athlon-mp
-mcpu=athlon-mp -mmmx -msse -m3dnow -I/usr/include/gail-1.0
-I/usr/include/atk-1.0 -I/usr/include/gtk-2.0 -I/usr/include/libgnomecanvas-2.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include
-I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2
-I/usr/include/libart-2.0   -DGTK_DISABLE_DEPRECATED=1
-DGDK_DISABLE_DEPRECATED=1 -DG_DISABLE_DEPRECATED=1 -DGNOME_DISABLE_DEPRECATED=1
-c cell.c
make[2]: /usr/bin/libtool: Command not found

Installing libsoup-devel and libtool fixed the problem. Please include them as
'BuildRequires:' in the spec file.

(Did you also try building with make smp flags ? i mean 'make %{?_smp_mflags}'
instead of 'make' ?)


Version-Release number of selected component (if applicable):
3.0.8-1

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild

Additional info:
Comment 1 Jeremy Katz 2003-09-08 15:50:46 EDT
Added to cvs, will be in the next build.
Comment 2 Miloslav Trmac 2004-02-04 19:14:39 EST
Fix confirmed in gtkhtml3-3.1.7-1.

Note You need to log in before you can comment on or make changes to this bug.